/*
    bsyslog - Blacky SysLOG

    Diese kleine Tool schreibt alles, was es als parameter bekommt an
    den SysLOGDeamon. Normalerweise Landet dies dann in
    /var/log/messages.

    Copyright (c) Andreas Hofmeier

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


    Name:     Andreas Hofmeier

    Adresse:  Stralsunder Strae 20
              28239 Bremen
              Germany

    Telefon:  +49-421-613793

    eMail:    An-H@An-H.de
              hofmeier@inbremen.de
              an-h@gmx.de

    Homepage: http://www.An-H.de/
	      hofmeier.home.pages.de
              http://www.LGut.uni-bremen.de/anh/


*/


#include <stdio.h>
#include "hofmeier.h"
#include <syslog.h>


char blacky_ver_info[] = "Blacky's SysLog v0.02 (c) Copyright 1999-2000 Andreas Hofmeier";


main(argc, argv)
  int argc;
  char *argv[];
{
  char s[800];
  int i;

  if (argc == 1 || ((argc > 1) ? ((argv[1][0] == '-') && ((argv[1][1] == '?') || (toupper(argv[1][1]) == 'H'))) : 0)) {
    printf("Help:\n");
    printf("  bsyslog <Log-Text der an den LogDeamon gesendet werden soll> [-v]\n");
    printf("    -v: Version, Licenze\n");
    exit(0);
  }

  if ((argc > 1) ? ((argv[1][0] == '-') && (toupper(argv[1][1]) == 'V')) : 0) {
    printf("%s\n\n", blacky_ver_info);
    printkinfo(stdout);
    exit(0);
  }

  /* LOG-File ffnen */
  openlog("bsyslog", LOG_CONS || LOG_NDELAY, LOG_AUTHPRIV);
  s[0] = 0;
  strcpy(s, argv[1]);
  for (i = 2; i < argc; i++) {
    strcat(s, " ");
    strcat(s, argv[i]);
  }
  syslog(LOG_INFO, s);
  exit(0);
}
